## jenkins-debian-glue 0.17.0+devuan1

=== Makefile ===
PREFIX := /usr

PROGRAMS := scripts/* tap/*

build:
	tests/increase-version-number

install: $(scripts)
	mkdir -p $(DESTDIR)/$(PREFIX)/bin/
	for prog in $(PROGRAMS); do \
		install -m 0755 $$prog $(DESTDIR)/$(PREFIX)/bin; \
	done

	mkdir -p $(DESTDIR)/usr/share/jenkins-debian-glue/examples/
	install -m 0664 examples/* $(DESTDIR)/usr/share/jenkins-debian-glue/examples/
	mkdir -p $(DESTDIR)/usr/share/jenkins-debian-glue/examples/devuan
	install -m 0664 devuan/* $(DESTDIR)/usr/share/jenkins-debian-glue/examples/devuan/
	mkdir -p $(DESTDIR)/usr/share/jenkins-debian-glue/pbuilder-hookdir/
	install -m 0775 pbuilder-hookdir/* $(DESTDIR)/usr/share/jenkins-debian-glue/pbuilder-hookdir/

uninstall: $(scripts)
	for prog in $(PROGRAMS); do \
		rm $(DESTDIR)/$(PREFIX)/bin/$${prog#scripts} ; \
	done
	rm -rf $(DESTDIR)/usr/share/jenkins-debian-glue/examples
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/jenkins-debian-glue

deploy:
	fab all

clean:
	rm -f fabfile.pyc
	# avoid recursion via debian/rules clean, so manually rm:
	rm -f debian/files debian/jenkins-debian-glue.debhelper.log
	rm -f debian/jenkins-debian-glue.substvars
	rm -rf debian/jenkins-debian-glue/

.PHONY: build install

## jenkins-debian-glue 0.8.1%2B0~20140423094547.5~1.gbp36cca6

=== debian/changelog ===
jenkins-debian-glue (0.8.1+0~20140423094547.5~1.gbp36cca6) unstable; urgency=low

  ** SNAPSHOT build @36cca6030a35af27b85bc885d99efd8039a5db33 **

  [ Patrick Schoenfeld ]
  * Pass DIST and ARCH to cowbuilder call

  [ Edwin Fine ]
  * Empty 'distribution' and 'architecture' env vars now do not break script when calling cowbuilder.

  [ Michael Prokop ]
  * puppet: allow DIST + ARCH in sudo configuration
  * generate-git-snapshot: Support PRE_DCH_HOOK variable for custom scripts.
    Thanks to Rudolph Bott <bott@sipgate.de> for the patch
  * debian/copyright: fix Upstream-Name header
  * Support skipping adt tests by setting ADT=skip.
    Thanks to Christoph Berg

  [ Jean Baptiste Favre ]
  * No need to source /etc/jenkins/debian-glue twice in the same script

  [ Lukas Anzinger ]
  * generate-reprepro-codename: Accept origin and suite as command line arguments.

  [ Mathieu Parent ]
  * Don't use --git-export-dir

  [ jenkins-debian-glue Autobuilder ]

 -- jenkins-debian-glue Autobuilder <jenkins@grz-debbuild01-v.sms.local>  Wed, 23 Apr 2014 11:45:51 +0200

jenkins-debian-glue (0.8.1) unstable; urgency=medium

  * [01b8a46] Revert "build-and-provide-package: use -b for package builds
    that shouldn't include sources" [Closes: #88] Thanks to Christoph Berg
    <christoph.berg@credativ.de> for feedback

 -- Michael Prokop <prokop@grml-solutions.com>  Fri, 14 Feb 2014 10:58:19 +0100

jenkins-debian-glue (0.8.0) unstable; urgency=medium

  The "happy fosdem" release.

  [ Michael Prokop ]
  * [68f0960] generate-reprepro-codename: refer to
    /etc/jenkins/debian_glue
  * [14f3559] Lock access to conf/incoming file
  * [003fe99] build-and-provide-package: get rid of dependency on dcmd
  * [f618f4d] Rework new gbp.conf handling
  * [cbe7f6f] Provide yaml setup files for usage with jenkins-job-builder
  * [e19a25e] freight: support sudo for creating directories/conffile,
    extend config, quote all variables
  * [a68c8c8] jjb: adjust lintian call for binary job + make
    repository_checker dynamic
  * [21a4d4c] Provide simple gateway service between GitHub + (internal)
    Jenkins system
  * [ced37f6] Add fakeroot to Depends
  * [a7e01d3] generate-*-snapshot: provide user friendly error message if
    debian/changelog is missing
  * [b231c3e] generate-reprepro-codename: lock access to
    conf/distributions
  * [534e761] puppet: install ttf-dejavu package to fix java headless
    issue
  * [8da4508] puppet: install timestamper plugin
  * [649c708] build-and-provide-package: use -b for package builds that
    shouldn't include sources
  * [c98acbf] Bump Standards-Version to 3.9.5

  [ Antoine Musso ]
  * [6bf804a] piuparts_wrapper: only expand scriptsdir when it is set

  [ Carl Fürstenberg ]
  * [9d5366f] Allow debian-glue to read gbp.conf

  [ Lukas Anzinger ]
  * [be40e3c] Don't include sources in sources.list, they're not needed
    for building
  * [4fa841e] The given $REPOS variable may also point to a suite, not
    only a codename
  * [4ab1301] Dynamically parse list of components from Release file
  * [b1e42c1] Make it possible to verify our own reprepro repositories by
    providing a pubkey

 -- Michael Prokop <prokop@grml-solutions.com>  Mon, 03 Feb 2014 14:51:01 +0100

jenkins-debian-glue (0.7.1) unstable; urgency=low

  * [80057b0] Drop jenkins-debian-glue-repoenv package + add dependency on
    "reprepro | freight" to jenkins-debian-glue instead
  * [7588e3e] Add jenkins-debian-glue-buildenv-git to Recommends

 -- Michael Prokop <prokop@grml-solutions.com>  Thu, 24 Oct 2013 13:42:46 +0200

jenkins-debian-glue (0.7.0) unstable; urgency=low

  The "I told you so" release ¯\_(ツ)_/¯

  [ Michael Prokop ]
  * New features:
    - [73ccc32] New script remove-reprepro-codename (misc further
      improvements and additions in [123fed8] [723e5db] [bdc0a0d])
    - [5930014] Support keeping the build environment via DEB_KEEP_BUILD_ENV
    - [1237b99] Support providing a custom pbuilder configuration file via
      PBUILDER_CONFIG
    - [e5225b1] piuparts_wrapper: support setting custom debootstrap options
      via DEBOOTSTRAP_OPTIONS
    - [6d197dd] Support POST_BUILD_HOOK at the end of the build process

  * Misc improvements and bugfixes:
    - [d1e90b2] piuparts_wrapper: make sure we have the sbin directories in
      our PATH
    - [512eb37] generate-git-snapshot: explicitly check for beginning of
      line when retrieving version information
    - [8cac20f] Provide basic project information via README.md
    - [976acb9] Adjust debian/docs for README rename
    - [3b12d46] Make lintian-junit-report ruby 1.8 safe
    - [63d6c47] Rework generate-git-snapshot to make sure quilt can't break
      the build. Thanks to Raphael Hertzog <hertzog@debian.org> for his dpkg
      related feedback
    - [d759c0d] Remove *_source.changes file generated by dpkg-buildpackage
      in --source job
    - [5d465bf] build-and-provide-package: Look only for the "real"
      debian/control file. Thanks to Christoph Berg for the bugreport and fix
    - [ab03545] generate-*-snapshot: provide hint if the 'source' directory
      hasn't been configured
    - [9d3a3d4] Make sure to also support linux-any as valid Architecture
      field. Thanks to Jean Baptiste Favre
    - [f02f0e1] Add jenkins-debian-glue-repoenv to Recommends and default
      installation list
    - [acd1257] Drop trailing dot in package descriptions of
      jenkins-debian-glue-{repoenv,buildenv}

  * Puppet related changes:
    - [c73c341] install git-client plugin explicitly in version 1.1.2
    - [fd1ce1f] support forcing plugin installation allowing us to
      install latest git-client plugin
    - [68578ef] install scm-api plugin, required for git plugin

  [ Calvin Walton ]
  * [9ac44d1] cd to workspace in generate-git-snapshot when running
    dpkg-source

  [ Sylvestre Ledru ]
  * [105fa47] PRE_SOURCE_HOOK handling in generate-*-snapshot scripts:
    match behaviour and do not test if file exits

  [ Sławomir Bocheński ]


=== debian/control ===
Source: jenkins-debian-glue
Section: admin
Priority: extra
Maintainer: Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               shunit2
Standards-Version: 3.9.5
Homepage: https://github.com/mika/jenkins-debian-glue
Vcs-Git: git://github.com/mika/jenkins-debian-glue.git
Vcs-Browser: https://github.com/mika/jenkins-debian-glue

Package: jenkins-debian-glue
Architecture: all
Depends: fakeroot,
         reprepro | freight,
         sudo | sudo-ldap,
         ${misc:Depends}
Recommends: jenkins-debian-glue-buildenv-git
Description: glue scripts for building Debian packages inside Jenkins
 This package provides scripts which should make building Debian
 package inside Jenkins (a Continuous Integration suite) easier.
 .
 It's meant to make Q/A builds of Debian packages inside Jenkins
 as manageable and homogeneous as possible.
 .
 Please note that you might want to also install the
 jenkins-debian-glue-buildenv-git or the jenkins-debian-glue-buildenv-svn
 package, depending on your needs.

Package: jenkins-debian-glue-buildenv
Architecture: all
Depends: cowbuilder,
         devscripts,
         dpkg-dev,
         jenkins-debian-glue,
         quilt
Description: Virtual package to be used on build slaves
 This virtual package depends on the software packages required
 for using jenkins-debian-glue as build environment.

Package: jenkins-debian-glue-buildenv-git
Architecture: all
Depends: build-essential,
         git-buildpackage,
         jenkins-debian-glue-buildenv,
         pristine-tar,
         ${misc:Depends}
Description: virtual package for Git build environment of jenkins-debian-glue
 This virtual package depends on the software packages required
 for using jenkins-debian-glue as standalone build environment
 with Git.

Package: jenkins-debian-glue-buildenv-svn
Architecture: all
Depends: build-essential,
         jenkins-debian-glue-buildenv,
         subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
         xsltproc,
         ${misc:Depends}
Description: virtual package for Subversion build environment of jenkins-debian-glue
 This virtual package depends on the software packages required
 for using jenkins-debian-glue as standalone build environment
 with Subversion.

Package: jenkins-debian-glue-buildenv-slave
Architecture: all
Depends: build-essential,
         jenkins-debian-glue-buildenv,
         openjdk-6-jre-headless | sun-java6-jre | java-runtime-headless,
         rsync,
         ${misc:Depends}
Description: virtual package for basic build environment of jenkins-debian-glue
 This virtual package depends on the software packages required
 for using jenkins-debian-glue on a slave system inside Jenkins.

Package: jenkins-debian-glue-buildenv-lintian
Architecture: all
Depends: lintian,
         ruby,
         ${misc:Depends}
Description: lintian integration in Jenkins
 This package provides the lintian-junit-report script. The
 script can be used for generating JUnit reports of lintian
 checking Debian packages inside Jenkins jobs.

Package: jenkins-debian-glue-buildenv-taptools
Architecture: all
Depends: devscripts,
         libperl-critic-perl,
         ruby,
         ${misc:Depends}
Description: taptools integration in Jenkins
 This package provides scripts to check shell and perl source code
 for common errors, using checkbashism and perlcritic to
 generate according TAP reports for usage inside Jenkins.
 .
 The provided tap_tool_dispatcher script can be used to automatically
 detect according shell scripts and perl scripts to execute
 checkbashism_tap and perlcritic_tap accordingly.

Package: jenkins-debian-glue-buildenv-piuparts
Architecture: all
Depends: piuparts,
         ruby,
         ${misc:Depends}
Description: piuparts integration in Jenkins
 This package provides the piuparts integration for testing
 package installation and upgrades of generated Debian packages.
 The scripts can be used for generating TAP reports of piuparts
 runs checking Debian packages inside Jenkins jobs.

## jenkins-debian-glue 0.16.0

=== debian/changelog ===
jenkins-debian-glue (0.16.0) unstable; urgency=medium

  [ Kane ]
  * [1e15d10] Allow customization of generated timestamp in package
    version
  * [59a3171] Add an option for enforcing Git commit in package version

  [ Michael Prokop ]
  * [4f81b3e] Support skipping cowbuilder updates via
    SKIP_COWBUILDER_UPDATE=true
  * [d00f953] reprepro: use --ignore=surprisingbinary to support automatic
    debug symbols
  * [2614b20] reprepro: processincoming doesn't handle
    --ignore=surprisingbinary yet. Thanks to Christoph Berg
    <myon@debian.org> (see #808558)
  * [0d872a2] pbuilder-hookdir/C10shell: support pbuilder >=0.216

  [ Christian Hofstaedtler ]
  * [b07e121] Fix TAP format pep8_tap output

 -- Michael Prokop <mika@debian.org>  Thu, 07 Jan 2016 11:11:38 +0100

jenkins-debian-glue (0.15.2) unstable; urgency=medium

  * [6d02e56] generate-git-snapshot: support git-buildpackage >=0.6.24.
    Thanks to Daniele E. Domenichelli <daniele.domenichelli@gmail.com> for
    the bug report (Closes: #799183)

 -- Michael Prokop <mika@debian.org>  Thu, 17 Sep 2015 11:41:48 +0200

jenkins-debian-glue (0.15.1) unstable; urgency=medium

  [ Victor Seva ]
  * [129b226] tap_tool_dispatcher: add --file-list option
  * [8aa6aab] tap_tool_dispatcher: support BASE_BIN to control location of
    *_tap scripts

  [ Michael Prokop ]
  * [254809c] tap_tool_dispatcher: fix command line handling for file-
    list. Thanks to Victor Seva <linuxmaniac@torreviejawireless.org>
  * [08710a4] B20autopkgtest: fix order of adt-run tests on command line.
    Thanks to Axel Beckert <abe@debian.org> for spotting the issue +
    Martin Pitt <mpitt@debian.org> for helping resolve this issue

 -- Michael Prokop <mika@debian.org>  Thu, 10 Sep 2015 22:14:57 +0200

jenkins-debian-glue (0.15.0) unstable; urgency=medium

  * [220f87e] Support eatmydata (automatically enabled if host +
    distribution needs match) + ccache
  * [a1cba38] Rename global REPOSITORY to DEFAULT_REPOSITORY to support
    overwriting it on demand (Closes #94) Thanks to Jean Baptiste Favre
    for the bug report
  * [469a1ed] Ensure that eatmydata version on host is recent enough
  * [fdd0c85] Use debian-archive-keyring when building for recent Debian
    on Ubuntu (Closes #130)
  * [89d3400] Update informational message regarding sub-directory
    checkout for Git (Closes #107)

 -- Michael Prokop <mika@debian.org>  Fri, 28 Aug 2015 16:19:06 +0200

jenkins-debian-glue (0.14.2) unstable; urgency=medium

  * [a12c01d] Explicitly set umask to avoid running into cowbuilder bug
    #531885. Thanks to Christoph Berg <myon@debian.org>
  * [a410fbb] Drop /var/cache/pbuilder/build from default bindmounts.
    Thanks to Philipp Hahn <hahn@univention.de> for the bug report and
    analysis

 -- Michael Prokop <mika@debian.org>  Thu, 27 Aug 2015 23:29:43 +0200

jenkins-debian-glue (0.14.1) unstable; urgency=medium

  * [b9b7c13] Get rid of cowbuilder environment if creating it failed
  * [3da4c8a] Support disabling specific tap tool checks (Closes #132)
  * [d414549] Conflict with old jenkins-debian-glue-buildenv-* to fix
    upgrade issues
  * [4025da3] Support parallel from moreutils as alternative to GNU
    parallel
  * [1862af3] Drop jenkins-debian-glue-buildenv-* from Provides
  * [e5a39b4] tap_tool_dispatcher: keep existing behaviour by not removing
    empty directories
  * [38b3c1c] The package is named libperl-critic-perl, not perlcritic.
    Thanks to Victor Seva <vseva@sipwise.com>
  * [740c8b9] Do not skip dist_and_arch_settings in PROVIDE_ONLY mode
  * [4b60635] tap_tool_dispatcher: fix path for checkbashism_tap check
  * [9bb89c8] Replace my business mail address with my debian.org one
  * [f7235ed] libperl-critic-perl in Depends is unneeded, Recommends is
    enough

 -- Michael Prokop <mika@debian.org>  Mon, 24 Aug 2015 22:08:32 +0200

jenkins-debian-glue (0.14.0) unstable; urgency=medium

  The "free the racoons AKA DebConf15" release

  [ Franco (nextime) Lanza ]
  * [b9c9cfd] Add pbuilder USENETWORK=yes option also to cowbuilder_run

  [ Michael Prokop ]
  * [3d79c45] Support execution of external autopkgtests via ADT=external
    + ADT_RUNNER=... Thanks to Alexander Wirt for idea and feedback
  * [108abe2] build-and-provide-package: be more specific when selecting
    *.dsc + *.changes. Thanks to Christoph Berg for the hint
  * [a00c865] Use adt-run's --output-dir option if available. Thanks to
    Axel Beckert for the hint
  * [f70b5fb] Get rid of unreferenced files in release process
  * [026ace2] B20autopkgtest: do not fail build when skipping tests.
    Thanks to Jan Alexander Steffens <jan.steffens@gmail.com> for
    reporting
  * [9c37df2] Improve parallel build support to not fail with concurrent
    update operations. Thanks to Christian Hofstaedtler
    <christian@hofstaedtler.name> for testing + feedback and Victor Seva
    <linuxmaniac@torreviejawireless.org> for helping with the actual
    implementation
  * [6446c02] Use /var/run/lock/ for cowbuilder lockfiles to fix
    permission issues
  * [8e88422] Reduce number of binary packages (Closes #131) Thanks to
    Christian Hofstaedtler <christian@hofstaedtler.name>
  * [1a1102c] Update debian/copyright
  * [0aebca1] Get rid of generate-reprepro-codename lockfile
  * [e9e533c] Get rid of mount bind for autopkgtest (Closes #123) Thanks
    to Christoph Berg <myon@debian.org>

  [ Victor Seva ]
  * [d27c6c6] tap: add shellcheck support

  [ Walter Kleynscheldt ]
  * [0e0dacd] Add override option USE_ORIG_VERSION to keep the changelog
    version

  [ Antoine Musso ]
  * [ee9d99c] Support muting command printing in shell scripts

 -- Michael Prokop <mika@debian.org>  Sat, 22 Aug 2015 12:57:37 +0200

jenkins-debian-glue (0.13.0) unstable; urgency=medium

  [ Antoine Musso ]
  * [17c3778] generate-git-snapshot: replace distribution dashes in
    version

  [ Victor Seva ]
  * [92ee917] repository_checker: add --version-remove-epoch option


=== debian/control ===
Source: jenkins-debian-glue
Section: admin
Priority: extra
Maintainer: Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               shunit2
Standards-Version: 3.9.6
Homepage: https://github.com/mika/jenkins-debian-glue
Vcs-Git: git://github.com/mika/jenkins-debian-glue.git
Vcs-Browser: https://github.com/mika/jenkins-debian-glue

Package: jenkins-debian-glue
Architecture: all
Depends: sudo | sudo-ldap,
         ${misc:Depends}
Recommends: jenkins-debian-glue-buildenv
Conflicts: jenkins-debian-glue-buildenv-git,
           jenkins-debian-glue-buildenv-lintian,
           jenkins-debian-glue-buildenv-piuparts,
           jenkins-debian-glue-buildenv-slave,
           jenkins-debian-glue-buildenv-svn,
           jenkins-debian-glue-buildenv-taptools
Description: Jenkins Debian glue scripts
 This package provides scripts which make building Debian
 packages inside Jenkins (a Continuous Integration suite) easier.
 .
 It's meant to make Q/A builds of Debian packages inside Jenkins
 as manageable and homogeneous as possible.
 .
 You need to install the according packaging tools, depending on
 your VCS type and the features you want to use. To get all tools
 you can just install the jenkins-debian-glue-buildenv package.

Package: jenkins-debian-glue-buildenv
Architecture: all
Depends: build-essential,
         cowbuilder,
         devscripts,
         dpkg-dev,
         eatmydata,
         fakeroot,
         file,
         git-buildpackage,
         gnupg,
         jenkins-debian-glue,
         lintian,
         parallel | moreutils,
         piuparts,
         pristine-tar,
         quilt,
         reprepro | freight,
         rsync,
         ruby,
         subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
         ${misc:Depends}
Conflicts: jenkins-debian-glue-buildenv-git,
           jenkins-debian-glue-buildenv-lintian,
           jenkins-debian-glue-buildenv-piuparts,
           jenkins-debian-glue-buildenv-slave,
           jenkins-debian-glue-buildenv-svn,
           jenkins-debian-glue-buildenv-taptools
Replaces: jenkins-debian-glue-buildenv-git,
          jenkins-debian-glue-buildenv-lintian,
          jenkins-debian-glue-buildenv-piuparts,
          jenkins-debian-glue-buildenv-slave,
          jenkins-debian-glue-buildenv-svn,
          jenkins-debian-glue-buildenv-taptools
Recommends: curl,
            libperl-critic-perl,
            pep8 (>= 1.4.6~),
            qemu-user-static,
            shellcheck
Description: Jenkins Debian glue scripts - dependency package
 This package depends on all Debian packaging/repository
 management and VCS tools which may be used with
 jenkins-debian-glue for easier installation.
 .
 If disk space is a concern consider installing only the subset
 of packages you actually need.

## jenkins-debian-glue 0.17.0

=== debian/changelog ===
jenkins-debian-glue (0.17.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [f33c054] Update copyright information (hello 2016)
  * [ea83f07] Support usage of a reprepro wrapper script via REPREPRO_CMD
  * [8c422f0] build-and-provide-package: support RELEASE_REPOSITORIES
  * [5a6c4d6] Support choosing distribution/codename via
    $RELEASE_DISTRIBUTION
  * [12a45c5] Vcs-Git header: replace git with more secure https version
  * [8e81ada] Bump Standards-Version to 3.9.7

  [ Cyril Brulebois ]
  * [d3a0dc3] puppet: end sources.list snippets with newlines.

  [ Adrian Vondendriesch ]
  * [a490dbb] Fix permissions of keyring.gpg in D20releaserepo.

 -- Michael Prokop <mika@debian.org>  Mon, 14 Mar 2016 21:33:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Michael Prokop <mika@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                shunit2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/mika/jenkins-debian-glue
-Vcs-Git: git://github.com/mika/jenkins-debian-glue.git
+Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
 Vcs-Browser: https://github.com/mika/jenkins-debian-glue
 
 Package: jenkins-debian-glue

## jenkins-debian-glue 0.17.0+devuan1

=== debian/changelog ===
jenkins-debian-glue (0.17.0+devuan1) unstable; urgency=medium

  * Import latest changes from upstream

 -- Franco (nextime) Lanza <nextime@devuan.org>  Wed, 04 May 2016 07:28:13 +0100

jenkins-debian-glue (0.15.2+devuan5) unstable; urgency=low

  * install pbuilder only for arm* archs

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Wed, 03 Feb 2016 18:17:14 +1300

jenkins-debian-glue (0.15.2+devuan4) unstable; urgency=low

  * fix handling of debian/source/options

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Thu, 07 Jan 2016 23:06:56 +1300

jenkins-debian-glue (0.15.2+devuan3) unstable; urgency=medium

  * add support for setting options for newpid
  * fix error with debian/source/options with gitsrc
  
 -- Franco (nextime) Lanza <nextime@devuan.org>  Mon, 04 Jan 2016 06:54:00 +0100

jenkins-debian-glue (0.15.2+devuan2) unstable; urgency=medium

  * Fix typo in dependencies for git-buildpackage

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 01 Dec 2015 15:03:12 +0100

jenkins-debian-glue (0.15.2+devuan1) unstable; urgency=medium

  * Import latest changes from upstream

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 01 Dec 2015 07:19:10 +0100

jenkins-debian-glue (0.14.1+devuan6) unstable; urgency=low

  * copy updated B20autopkgtest from pbuilder/examples

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Sat, 28 Nov 2015 08:19:42 +1300

jenkins-debian-glue (0.14.1+devuan5) unstable; urgency=medium

  * Import latest changes from upstream

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 07 Jul 2015 02:39:10 +0200

jenkins-debian-glue (0.14.1+devuan4) unstable; urgency=medium

  * Reworked git format options [Daniel Reurich]

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 04 Jul 2015 08:59:07 +0200

jenkins-debian-glue (0.14.1+devuan3) unstable; urgency=medium

  * Fix ccache support.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 04 Jul 2015 02:26:44 +0200

jenkins-debian-glue (0.14.1+devuan2) unstable; urgency=medium

  * fix missing " in generate-git-snapshot [Daniel Reurich]

 -- Franco (nextime) Lanza <nextime@devuan.org>  Thu, 02 Jul 2015 21:41:12 +0200

jenkins-debian-glue (0.14.1+devuan1) unstable; urgency=medium

  * limit git srch depth and width [Daniel Reurich]

 -- Franco (nextime) Lanza <nextime@devuan.org>  Thu, 02 Jul 2015 14:03:39 +0200

jenkins-debian-glue (0.14.0+devuan1) unstable; urgency=medium

  * Add jenkins-debian-glue-buildenv-devuan package
  * Add support for eatmydata
  * Add support for ccache

 -- Franco (nextime) Lanza <nextime@devuan.org>  Thu, 02 Jul 2015 01:18:59 +0200

jenkins-debian-glue (0.13.1+devuan1) unstable; urgency=medium

  * Add USENETWORK=yes even for pbuilder in cowbuilder_run 

 -- Franco (nextime) Lanza <nextime@devuan.org>  Thu, 04 Jun 2015 10:56:29 +0200

jenkins-debian-glue (0.13.0+devuan1) unstable; urgency=medium

  * sync with upstream

 -- Franco (nextime) Lanza <nextime@devuan.org>  Thu, 04 Jun 2015 10:54:44 +0200

jenkins-debian-glue (0.12.2+devuan1) unstable; urgency=medium

  * add PBUILDER_USENETWORK config to build-and-provide-package

 -- Franco (nextime) Lanza <nextime@devuan.org>  Wed, 03 Jun 2015 06:39:56 +0200

jenkins-debian-glue (0.12.1+devuan1) unstable; urgency=medium

  * Add support for git format packages
  * resync with upstream ad of last commit since May 4, 2015

 -- Franco (nextime) Lanza <nextime@devuan.org>  Mon, 01 Jun 2015 06:37:10 +0200

jenkins-debian-glue (0.12.0+vua2) unstable; urgency=medium

  * Rebased to upstream after our patches being accepted

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 10 Apr 2015 04:14:14 +0100

jenkins-debian-glue (0.12.0+vua1) unstable; urgency=medium

  * Added support for foreign arch builds by using qemu-user-static

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 07 Apr 2015 06:57:43 +0000

jenkins-debian-glue (0.11.0+vua1) experimental; urgency=medium

  * Devuan modified version 

 -- Franco (nextime) Lanza <nextime@devuan.org>  Wed, 11 Feb 2015 15:15:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: jenkins-debian-glue
 Section: admin
 Priority: extra
-Maintainer: Michael Prokop <mika@debian.org>
+Maintainer: Franco (nextime) Lanza <nextime@devuan.org>
 Build-Depends: debhelper (>= 8.0.0),
                shunit2
 Standards-Version: 3.9.7
-Homepage: https://github.com/mika/jenkins-debian-glue
-Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
-Vcs-Browser: https://github.com/mika/jenkins-debian-glue
+Homepage: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue
+Vcs-Git: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue.git
+Vcs-Browser: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue/tree/master
 
 Package: jenkins-debian-glue
 Architecture: all
@@ -48,10 +48,11 @@
          piuparts,
          pristine-tar,
          quilt,
-         reprepro | freight,
+         reprepro| freight,
          rsync,
          ruby,
          subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
+         ccache,
          ${misc:Depends}
 Conflicts: jenkins-debian-glue-buildenv-git,
            jenkins-debian-glue-buildenv-lintian,
@@ -77,3 +78,12 @@
  .
  If disk space is a concern consider installing only the subset
  of packages you actually need.
+
+Package: jenkins-debian-glue-buildenv-devuan
+Architecture: all
+Depends: sudo,
+         jenkins-debian-glue-buildenv,
+         ${misc:Depends}
+Description: Devuan GNU/Linux support in jenkins debian glue
+ This package provides Devuan specific additional files
+ used for building Devuan packages.

## jenkins-debian-glue 0.18.2

=== debian/changelog ===
jenkins-debian-glue (0.18.2) unstable; urgency=medium

  [ Will DeBerry ]
  * [8fe6778] Don't override filter regexs

 -- Michael Prokop <mika@debian.org>  Tue, 24 Jan 2017 22:13:48 +0100

jenkins-debian-glue (0.18.1) unstable; urgency=medium

  [ André Draszik ]
  * jdg-debc: works for foreign architecture packages
  * build-and-provide-package: fix a typo wrt freight
  * build-and-provide-package: don't create freight dirs unnecessarily
  * build-and-provide-package: use mktemp rather than PID for directory
    name
  * build-and-provide-package: make sure to remove pbuilderrc

  [ Michael Prokop ]
  * generate-svn-snapshot: avoid mergeWithUpstream failure with recent
    subversion versions
  * puppet: ensure display-url-api plugin is installed
  * puppet: warn users of automated installations regarding missing
    jenkins plugin dependencies
  * build-and-provide-package: enable builtin support for eatmydata in
    pbuilder
  * Include .buildinfo files in list of artifact files. Thanks to
    Christoph Berg <myon@debian.org>
  * Don't fail when hitting .buildinfo files in reprepro's incoming stage
  * Bump debhelper compat version to v9

 -- Michael Prokop <mika@debian.org>  Fri, 18 Nov 2016 11:29:55 +0100

jenkins-debian-glue (0.18.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [f9b1fc8] puppet: update list of Jenkis plugins to satisfy
    dependencies. Thanks to youam the bug report
  * [db59998] puppet: update dependencies for git, ws-cleanup + ssh-agent
    Jenkins plugins
  * [96fe9fe] puppet: install antisamy-markup-formatter plugin for HTML
    markup support
  * [16f0ba5] Adjust runtime detection to properly work with LXC hosts.
    Thanks to Ondřej Surý
  * [59e1a99] Avoid dpkg-architecture usage for identifying host
    architecture. Thanks to Guillem Jover for feedback
  * [737e4e9] generate-git-snapshot: do not fail with branch specifier
    being a commit ID. Thanks to Jan Alexander Steffens
    <jan.steffens@gmail.com> for bugreport + patch
  * [0f436f2] Bump Standards-Version to 3.9.8

  [ Antoine Delvaux ]
  * [c1e13b9] Adding SKIP_MISSING_BINARY_REMOVAL to prevent removal of
    binary packages not belonging to the currently built source package.

  [ Sebastian Damm ]
  * [09a78f2] generate-git-snapshot: support DCH_CHANGELOG_FILE to change
    path for git-dch

  [ Alexis Bezverkhyy ]
  * [6561c54] take into account .udebs in remove_packages()

 -- Michael Prokop <mika@debian.org>  Tue, 04 Oct 2016 14:20:23 +0200

## jenkins-debian-glue 0.18.2.1

=== debian/changelog ===
jenkins-debian-glue (0.18.2.1) unstable; urgency=medium

  * [9492a4f] Support SKIP_SOURCE_REMOVAL to not remove source package in
    binary only package builds. Thanks to Antoine Delvaux
    <antoine.delvaux@gmail.com> for the bugreport + initial patch
  * [56563d7] Fix regression from commit 8fe677820fae2 to apply safe dpkg-
    buildpackage defaults. Thanks to Guillem Jover for feedback and code
    review
  * [3b79a73] Further regression fixes for commit 8fe677820fae2 WRT dpkg-
    buildpackage options. Thanks to Guillem Jover for feedback and code
    review

 -- Michael Prokop <mika@debian.org>  Thu, 27 Apr 2017 18:01:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: jenkins-debian-glue
 Section: admin
 Priority: extra
-Maintainer: Franco (nextime) Lanza <nextime@devuan.org>
+Maintainer: Michael Prokop <mika@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                shunit2
-Standards-Version: 3.9.7
-Homepage: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue
-Vcs-Git: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue.git
-Vcs-Browser: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue/tree/master
+Standards-Version: 3.9.8
+Homepage: https://github.com/mika/jenkins-debian-glue
+Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
+Vcs-Browser: https://github.com/mika/jenkins-debian-glue
 
 Package: jenkins-debian-glue
 Architecture: all
@@ -48,11 +48,10 @@
          piuparts,
          pristine-tar,
          quilt,
-         reprepro| freight,
+         reprepro | freight,
          rsync,
          ruby,
          subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
-         ccache,
          ${misc:Depends}
 Conflicts: jenkins-debian-glue-buildenv-git,
            jenkins-debian-glue-buildenv-lintian,
@@ -78,12 +77,3 @@
  .
  If disk space is a concern consider installing only the subset
  of packages you actually need.
-
-Package: jenkins-debian-glue-buildenv-devuan
-Architecture: all
-Depends: sudo,
-         jenkins-debian-glue-buildenv,
-         ${misc:Depends}
-Description: Devuan GNU/Linux support in jenkins debian glue
- This package provides Devuan specific additional files
- used for building Devuan packages.

## jenkins-debian-glue 0.18.4

=== debian/changelog ===
jenkins-debian-glue (0.18.4) unstable; urgency=medium

  [ Michael Prokop ]
  * [a9ab3f4] puppet: ensure that jenkins + jenkins-debian-glue packages
    are installed and only then report a successful run
  * [2061ac0] puppet: rework apt-get/apt-key handling to work with recent
    puppet versions. Thanks to msqk for reporting on IRC
  * [2f939f2] puppet: further changes to work with recent puppet versions
  * [c6c8c02] puppet: workspace cleanup plugin depends on further plugins
  * [5d02459] tap: avoid deep inspection of scripts by dropping file(1)'s
    `--keep-going` option
  * [e98da4b] Bump Standards-Version to 4.0.1

  [ klemens ]
  * [a3b8324] spelling fix

 -- Michael Prokop <mika@debian.org>  Thu, 17 Aug 2017 14:51:57 +0200

jenkins-debian-glue (0.18.3) experimental; urgency=medium

  The "¡Hola Alicante!" release

  [ Michael Prokop ]
  * [6cd165a] deployment: fail if we don't have a FQDN to avoid runtime
    errors later on. Thanks to Arthur Lutz for the bugreport
  * [16ec0f3] Support SKIP_SOURCE_REMOVAL to not remove source package in
    binary only package builds. Thanks to Antoine Delvaux
    <antoine.delvaux@gmail.com> for the bugreport + initial patch
  * [42a7ea8] Support skipping reprepro wrapper via SKIP_REPREPRO_WRAPPER
  * [d210c14] Fix regression from commit 8fe677820fae2 to apply safe dpkg-
    buildpackage defaults. Thanks to Guillem Jover for feedback and code
    review
  * [5a7d041] puppet: switch from jenkins-ci.org to jenkins.io. Thanks to
    Cyril Brulebois for the hint
  * [066a1c0] puppet: no longer run wget with --no-check-certificate
  * [12e873d] Further regression fixes for commit 8fe677820fae2 WRT dpkg-
    buildpackage options. Thanks to Guillem Jover for feedback and code
    review

  [ Victor Seva ]
  * [a7b350e] scripts: SIGKILL cannot be trapped
  * [b707552] build-and-provide-package: fix trunk_release if
    SKIP_REPREPRO_WRAPPER

 -- Michael Prokop <mika@debian.org>  Thu, 27 Apr 2017 18:29:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Michael Prokop <mika@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                shunit2
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/mika/jenkins-debian-glue
 Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
 Vcs-Browser: https://github.com/mika/jenkins-debian-glue

## jenkins-debian-glue 0.18.4.99+devuan2

=== debian/changelog ===
jenkins-debian-glue (0.18.4.99+devuan2) unstable; urgency=medium

  [ Guillem Jover ]
  * Wrap and sort dependency fields
  * Switch from Priority extra to optional
  * Remove boilerplate comment from debian/rules
  * Add new debian/.gitignore file
  * Bump debhelper compatibility level to 10
  * Use the canonical URL for the debian/copyright Format field
  * Remove Copyright notice from License field
  * Bump Standards-Version to 4.1.1

  [ Michael Prokop ]
  * puppet: ensure recent Jenkins Git client plugin dependencies are fulfilled
  * puppet: ensure that apt-transport-https is present
  * piuparts_tap: don't check only for error code 100 but accept any digit
  * puppet: make check for installed packages more reliable.
    Thanks to Guillem Jover for feedback and code review
  * puppet: don't rely on outside variable inside package_check.
    Thanks to Alex Lutay
  * Support autopkgtest v5.
    Thanks to Christoph Berg <myon@debian.org> for feedback
  * debian: run wrap-and-sort

  [ Daniel Reurich ]
  * added variable for changelog file location
  * tidy up trailing whitespace

  [ Guillem Jover ]
  * Wrap and sort dependency fields
  * Switch from Priority extra to optional
  * Remove boilerplate comment from debian/rules
  * Add new debian/.gitignore file
  * Bump debhelper compatibility level to 10
  * Use the canonical URL for the debian/copyright Format field
  * Remove Copyright notice from License field
  * Bump Standards-Version to 4.1.1

  [ Michael Prokop ]
  * puppet: ensure recent Jenkins Git client plugin dependencies are fulfilled
  * puppet: ensure that apt-transport-https is present
  * piuparts_tap: don't check only for error code 100 but accept any digit
  * puppet: make check for installed packages more reliable.
    Thanks to Guillem Jover for feedback and code review
  * puppet: don't rely on outside variable inside package_check.
    Thanks to Alex Lutay
  * Support autopkgtest v5.
    Thanks to Christoph Berg <myon@debian.org> for feedback
  * debian: run wrap-and-sort

  [ Daniel Reurich ]
  * added variable for changelog file location
  * tidy up trailing whitespace

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 26 Oct 2018 00:30:45 +1300

jenkins-debian-glue (0.18.4.99+devuan1) unstable; urgency=medium

  [ Daniel Reurich ]
  * merged 0.18.4 from upstream
  * added variable for changelog file location
  * tidy up trailing whitespace
  * merge from upstream fixes for autopkgtest v5 breakage

  [ Guillem Jover ]
  * Wrap and sort dependency fields
  * Switch from Priority extra to optional
  * Remove boilerplate comment from debian/rules
  * Add new debian/.gitignore file
  * Bump debhelper compatibility level to 10
  * Use the canonical URL for the debian/copyright Format field
  * Remove Copyright notice from License field
  * Bump Standards-Version to 4.1.1

  [ Michael Prokop ]
  * puppet: ensure recent Jenkins Git client plugin dependencies are fulfilled
  * puppet: ensure that apt-transport-https is present
  * piuparts_tap: don't check only for error code 100 but accept any digit
  * puppet: make check for installed packages more reliable.
    Thanks to Guillem Jover for feedback and code review
  * puppet: don't rely on outside variable inside package_check.
    Thanks to Alex Lutay
  * Support autopkgtest v5.
    Thanks to Christoph Berg <myon@debian.org> for feedback
  * debian: run wrap-and-sort


 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 26 Oct 2018 00:25:58 +1300

=== debian/control ===
Source: jenkins-debian-glue
Section: admin
Priority: extra
Maintainer: Franco (nextime) Lanza <nextime@devuan.org>
Build-Depends: debhelper (>= 8.0.0),
               shunit2
Standards-Version: 4.1.1
Homepage: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue
Vcs-Git: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue.git
Vcs-Browser: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue/tree/master

Package: jenkins-debian-glue
Architecture: all
Depends:
 sudo | sudo-ldap,
 ${misc:Depends},
Recommends:
 jenkins-debian-glue-buildenv,
Conflicts:
 jenkins-debian-glue-buildenv-git,
 jenkins-debian-glue-buildenv-lintian,
 jenkins-debian-glue-buildenv-piuparts,
 jenkins-debian-glue-buildenv-slave,
 jenkins-debian-glue-buildenv-svn,
 jenkins-debian-glue-buildenv-taptools,
Description: Jenkins Debian glue scripts
 This package provides scripts which make building Debian
 packages inside Jenkins (a Continuous Integration suite) easier.
 .
 It's meant to make Q/A builds of Debian packages inside Jenkins
 as manageable and homogeneous as possible.
 .
 You need to install the according packaging tools, depending on
 your VCS type and the features you want to use. To get all tools
 you can just install the jenkins-debian-glue-buildenv package.

Package: jenkins-debian-glue-buildenv
Architecture: all
Depends:
 build-essential,
 cowbuilder,
 devscripts,
 dpkg-dev,
 eatmydata,
 fakeroot,
 file,
 git-buildpackage,
 gnupg,
 jenkins-debian-glue,
 lintian,
 parallel | moreutils,
 piuparts,
 pristine-tar,
 quilt,
 reprepro | freight,
 rsync,
 ruby,
 subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
 ${misc:Depends},
Conflicts:
 jenkins-debian-glue-buildenv-git,
 jenkins-debian-glue-buildenv-lintian,
 jenkins-debian-glue-buildenv-piuparts,
 jenkins-debian-glue-buildenv-slave,
 jenkins-debian-glue-buildenv-svn,
 jenkins-debian-glue-buildenv-taptools,
Replaces:
 jenkins-debian-glue-buildenv-git,
 jenkins-debian-glue-buildenv-lintian,
 jenkins-debian-glue-buildenv-piuparts,
 jenkins-debian-glue-buildenv-slave,
 jenkins-debian-glue-buildenv-svn,
 jenkins-debian-glue-buildenv-taptools,
Recommends:
 curl,
 libperl-critic-perl,
 pep8 (>= 1.4.6~),
 qemu-user-static,
 shellcheck,
Description: Jenkins Debian glue scripts - dependency package
 This package depends on all Debian packaging/repository
 management and VCS tools which may be used with
 jenkins-debian-glue for easier installation.
 .
 If disk space is a concern consider installing only the subset
 of packages you actually need.

Package: jenkins-debian-glue-buildenv-devuan
Architecture: all
Depends: sudo,
         jenkins-debian-glue-buildenv,
         ${misc:Depends}
Description: Devuan GNU/Linux support in jenkins debian glue
 This package provides Devuan specific additional files
 used for building Devuan packages.

## jenkins-debian-glue 0.18.4.99+devuan5

=== debian/changelog ===
jenkins-debian-glue (0.18.4.99+devuan5) ascii; urgency=medium

  * Prefer moreutils to parallel as it doesn't depend on sysstat.
  * Move ruby dependency to jenkins-debian-glue itself as
    lintian-junit-report is a ruby script.
  * Add dependency on locales: lintian-junit-report fails if LANG is not
    set.
  * Change default mirror to pkgmaster.devuan.org.
  * Change to PBUILDERSATISFYDEPENDSCMD=pbuilder-satisfydepends-apt:
    pbuilder-satisfydepends-classic is broken with new debhelper-compat
    dependencies and the default requires aptitude, which may not be
    installed.
  * Set AUTOCLEANAPTCACHE=yes in pbuilderrc to prevent continuous package
    cache growth.
  * Add d/gbp.conf with defaults for debian-branch and debian-tag.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 04 Jan 2020 12:27:58 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
 Architecture: all
 Depends:
  sudo | sudo-ldap,
+ ruby,
+ locales,
  ${misc:Depends},
 Recommends:
  jenkins-debian-glue-buildenv,
@@ -48,13 +50,12 @@
  gnupg,
  jenkins-debian-glue,
  lintian,
- parallel | moreutils,
+ moreutils | parallel,
  piuparts,
  pristine-tar,
  quilt,
  reprepro | freight,
  rsync,
- ruby,
  subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
  ${misc:Depends},
 Conflicts:

## jenkins-debian-glue 0.20.0

=== debian/changelog ===
jenkins-debian-glue (0.20.0) unstable; urgency=medium

  [ Victor Seva ]
  * [e2beae5] lintian-junit-report: support processing a
    lintian output file

  [ Rémi Palancher ]
  * [90ecaab] Ability to add label/version in repos conf

  [ John Goerzen ]
  * [d9d9b8f] Allow MIRRORSITE to pass sudo

  [ Antoine Musso ]
  * [e336c9e] Add pbuilder hook to run lintian (inside the
    target system, using the cowbuiler environment)

  [ Kienan Stewart ]
  * [41b7934] Check if reprepro distribution exists
  * [dc5dbf5] Use sudo command when grepping for distribution codename

  [ Laurent Declercq ]
  * [b63ab9d] Typo in NOTES.org
  * [7639edb] Added pbuilder hook to force DPKG unsafe IO (unpack)

  [ Will DeBerry ]
  * [4a5093c] autopkg_binary variable needs to always be set

  [ Mykola Malkov ]
  * [52f3099] Fix 'skip tests' message for perlcritic test

  [ Michael Prokop ]
  * [9ac5ef6] piuparts_wrapper: ensure COMPONENTS variable is unset before
    invoking debootstrap
  * [726137c] build-and-provide-package: unify identition and logging
    message style
  * [0b04226] build-and-provide-package: also run generate-reprepro-
    codename if reprepro configuration is missing
  * [5b8aab8] puppet: ensure we have key available before setting up
    sources.list
  * [71a21fb] puppet: use openjdk-8-jdk-headless on Ubuntu 18.04

 -- Michael Prokop <mika@debian.org>  Tue, 15 Jan 2019 17:49:39 +0100

jenkins-debian-glue (0.19.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [616d23e] Wrap and sort dependency fields
  * [d9db869] Switch from Priority extra to optional
  * [b9196d5] Remove boilerplate comment from debian/rules
  * [dce1238] Add new debian/.gitignore file
  * [575728b] Bump debhelper compatibility level to 10
  * [cdf1b88] Use the canonical URL for the debian/copyright Format field
  * [00602c6] Remove Copyright notice from License field
  * [2126ad0] Bump Standards-Version to 4.1.1

  [ Michael Prokop ]
  * [3a0a8fa] puppet: ensure recent Jenkins Git client plugin dependencies
    are fulfilled
  * [3c53ca6] puppet: ensure that apt-transport-https is present
  * [3529ae6] piuparts_tap: don't check only for error code 100 but accept
    any digit
  * [d27375d] puppet: make check for installed packages more reliable.
    Thanks to Guillem Jover for feedback and code review
  * [e1db6a7] puppet: don't rely on outside variable inside package_check.
    Thanks to Alex Lutay
  * [9e2117c] Support autopkgtest v5. Thanks to Christoph Berg
    <myon@debian.org> for feedback
  * [e270387] debian: run wrap-and-sort
  * [525467d] build-and-provide-package: explicitly set TERM environment
    variable in cowbuilder runs
  * [d10af05] Bump Standards-Version to 4.2.1
  * [cab6fbf] Adjust lintian-overrides file for new lintian output
    behavior

 -- Michael Prokop <mika@debian.org>  Tue, 06 Nov 2018 11:07:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: jenkins-debian-glue
 Section: admin
-Priority: extra
-Maintainer: Franco (nextime) Lanza <nextime@devuan.org>
-Build-Depends: debhelper (>= 8.0.0),
-               shunit2
-Standards-Version: 4.1.1
-Homepage: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue
-Vcs-Git: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue.git
-Vcs-Browser: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue/tree/master
+Priority: optional
+Maintainer: Michael Prokop <mika@debian.org>
+Standards-Version: 4.2.1
+Homepage: https://github.com/mika/jenkins-debian-glue
+Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
+Vcs-Browser: https://github.com/mika/jenkins-debian-glue
+Build-Depends:
+ debhelper (>= 10),
+ shunit2,
 
 Package: jenkins-debian-glue
 Architecture: all
 Depends:
  sudo | sudo-ldap,
- ruby,
- locales,
  ${misc:Depends},
 Recommends:
  jenkins-debian-glue-buildenv,
@@ -50,12 +49,13 @@
  gnupg,
  jenkins-debian-glue,
  lintian,
- moreutils | parallel,
+ parallel | moreutils,
  piuparts,
  pristine-tar,
  quilt,
  reprepro | freight,
  rsync,
+ ruby,
  subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
  ${misc:Depends},
 Conflicts:
@@ -85,12 +85,3 @@
  .
  If disk space is a concern consider installing only the subset
  of packages you actually need.
-
-Package: jenkins-debian-glue-buildenv-devuan
-Architecture: all
-Depends: sudo,
-         jenkins-debian-glue-buildenv,
-         ${misc:Depends}
-Description: Devuan GNU/Linux support in jenkins debian glue
- This package provides Devuan specific additional files
- used for building Devuan packages.
